Skip to main content
Accessibility Resource Center Skip to main content
Have a phone you love? Get up to $500 when you bring your phone.
cancel
Showing results for 
Search instead for 
Did you mean: 
Software Update for Snow Leopard
Ron871
Member

I have a UTStarcom UM175 Air Card and I'm using it with an iMac which presently has Mac OS X version 10.5.8 as the operating system.  I'd like to update with the Snow Leopard software.  Has anyone tried that with this Air Card and if so, what has been your experience?  The Alltel download site doesn't show any software for OS X beyond version 10.5, but the System Requirements on the box that the Air Card came in, specifies Mac OS X 10.4 or higher.  So I'm wondering if it will work with Snow Leopard, but I hate to go ahead an install Snow Leopard and then find out that it won't work.

 

 

0 Likes